Page MenuHomePhabricator

Move "wikibase_item" search field definition and indexing from CirrusSearch to Wikibase
Closed, ResolvedPublic

Description

CirrusSearch currently adds a "wikibase_item" field to the search index, which indexes the associated Wikibase item ID for a given page in Wikibase client wikis.

The field should be moved to Wikibase and use the new hooks available in core.

Event Timeline

aude created this task.Jan 2 2017, 9:29 PM
Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptJan 2 2017, 9:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
aude claimed this task.Jan 25 2017, 3:05 AM
Addshore removed aude as the assignee of this task.Sep 18 2018, 12:48 PM
Addshore added a project: wdwb-tech-focus.
Addshore added subscribers: Smalyshev, Addshore.

Discovery & @Smalyshev etc. Is this still an issue?

Addshore moved this task from Backlog to Questions on the wdwb-tech-focus board.Sep 18 2018, 12:48 PM

Looks like it's still in Cirrus. Probably a good idea to move, I forgot about this one.

Smalyshev triaged this task as Medium priority.Sep 18 2018, 10:39 PM
Smalyshev moved this task from Backlog to Next on the User-Smalyshev board.

Change 464458 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/CirrusSearch@master] Expose Cirrus factory for extensions to be able to build fields.

https://gerrit.wikimedia.org/r/464458

Change 464459 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/Wikibase@master] Make Wikibase Client create wikibase_item field

https://gerrit.wikimedia.org/r/464459

Change 464460 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/CirrusSearch@master] Remove wikibase_item from Cirrus codebase

https://gerrit.wikimedia.org/r/464460

Change 464458 abandoned by Smalyshev:
Expose Cirrus factory for extensions to be able to build fields.

Reason:
looks like this is not required actually

https://gerrit.wikimedia.org/r/464458

Change 464459 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Make Wikibase Client create wikibase_item field

https://gerrit.wikimedia.org/r/464459

Change 464460 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Remove wikibase_item from Cirrus codebase

https://gerrit.wikimedia.org/r/464460

Smalyshev closed this task as Resolved.Oct 17 2018, 10:28 PM
Smalyshev claimed this task.